Subject: Re: bug#57393: The Guile manuall has no entry for use-typelibs in the Procedures Index

From: Lee Thomas <[email-masked]>
Date: Wed, 24 Aug 2022 21:08:25 -0700

Thank you! I will learn more about where to locate procedure definitions.

On Wed, Aug 24, 2022, 15:14 Jean Abou Samra <[email-masked]> wrote:

> Le 25/08/2022 à 00:10, Lee Thomas a écrit :
> > Hi. I am trying to run some examples for guile GUI toolkits, and they
> > have use-typelibs in their code. It is failing for me, so I wanted to
> > learn more about the procedure - but the Procedures Index has no entry
> > for it. I would expect there would be an entry even if the procedure
> > itself is deprecated.
> >
> > If I can assist in resolving this issue, I'm happy to help.
>
>
> There is no function called use-typelibs in Guile. It must come from
> somewhere else. Probably guile-gi, as far as I can see from
>
> https://spk121.github.io/guile-gi/Parsing-Typelibs-and-Creating-Bindings.html
> ?
>
>